%define _name gswitchit

Name: gnome-applets-%_name-plugins
Version: 0.6
Release: alt1

Summary: Plugins for GSwitchIt
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://belnet.dl.sourceforge.net/sourceforge/%_name/%{_name}_plugins-%version.tar.bz2

Obsoletes: gnome-applets-extra-%_name-plugins
Provides: gnome-applets-extra-%_name-plugins = %version-%release

%define GConf_ver 2.12.0
%define gswitchit_ver 2.16.1

PreReq: GConf2 >= %GConf_ver
Requires: gnome-applets-gswitchit >= %gswitchit_ver

# From configure.in
BuildPreReq: gettext-tools
# This is the first version that allows gswitchit-plugins to build again
# (see also GNOME Bug 406519).
BuildPreReq: gnome-applets-gswitchit-devel >= 2.16.2-alt2
BuildPreReq: libgnomeui-devel libsoup-devel libsvg-devel libsvg-cairo-devel

BuildPreReq: gnome-common >= 2.12.0
BuildRequires: libSM-devel libjpeg-devel libpng-devel
BuildRequires: libxklavier-devel libgnutls-devel
# See Bug 10822
BuildRequires: libtasn1-devel

%description
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

This package provides additional plugins for GSwitchIt.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %{_name}_plugins-%version

%build
%__autoreconf
%configure \
    --disable-scrollkeeper \
    --disable-install-schemas \
	--disable-static

%make_build

%install
%makeinstall

%find_lang --with-gnome %{_name}_plugins

%post

%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %{_name}_plugins
fi

%postun
%clean_scrollkeeper

%files -f %{_name}_plugins.lang
%dir %_libexecdir
%_libexecdir/*
%exclude %_libexecdir/test.so
%_datadir/%{_name}_plugins
%_datadir/sounds/*
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/sound/events/*
%doc README ChangeLog AUTHORS

%changelog
* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 0.6-alt1
- new version (0.6)

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5-alt1
- new version (0.5)

* Thu Nov 24 2005 Vital Khilko <vk@altlinux.ru> 0.4-alt1
- new version
- translated summary and description removed

* Sun Sep 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1.1
- rebuild to fix dependencies.

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisiphus.
